/* Layout global */

/* Compensa el header fixed para que no se monte sobre el contenido */
body {
  padding-top: var(--header-height);
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: calc(var(--header-height) - 68px);
}

section[id] {
  scroll-margin-top: calc(var(--header-height) - 68px);
}

/* Cuando tu nav cambia a altura móvil */
@media (max-width: 1120px) {
  body {
    padding-top: var(--header-height-mobile);
  }

  html {
    scroll-padding-top: calc(var(--header-height-mobile) - 48px);
  }

  section[id] {
    scroll-margin-top: calc(var(--header-height-mobile) - 48px);
  }
}